Index: python_git_runner.sh |
diff --git a/python_git_runner.sh b/python_git_runner.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..c00b5ccb75d485e93625e63ae2b0dcda1b72eac3 |
--- /dev/null |
+++ b/python_git_runner.sh |
@@ -0,0 +1,31 @@ |
+#!/bin/bash |
agable
2014/02/28 19:54:58
Make 'git cl' and 'git cache' use this.
|
+# Copyright (c) 2014 The Chromium Authors. All rights reserved. |
+# Use of this source code is governed by a BSD-style license that can be |
+# found in the LICENSE file. |
+ |
+## This file is designed to be sourced from a bash script whose name takes the |
+## form 'git-sub-command'. This script will then instead invoke 'git_sub_command.py' |
agable
2014/02/28 19:54:58
80 chars? (It's wrapping on Rietveld but I'm too l
iannucci
2014/03/06 00:18:39
Oh, weird. I think this is my bad. Done.
|
+## correctly under mingw as well as posix-ey systems, passing along all other |
+## command line flags. |
+ |
+## Example: |
+## echo ". python_git_runner.sh" > git-foo-command |
+## ./git-foo-command #=> runs `python git_foo_command.py` |
+ |
+OUTPUT="$(uname | grep 'MINGW')" |
+MINGW=$? |
+ |
+BASE="$(basename "$0")" |
+SCRIPT="${BASE//-/_}.py" |
+ |
+if [ $MINGW = 0 ]; then |
+ base_dir="${0%\\*}" |
+else |
+ base_dir=$(dirname "$0") |
+fi |
+ |
+if [ -e "$base_dir/python.bat" -a $MINGW = 0 ]; then |
+ PYTHONDONTWRITEBYTECODE=1 cmd.exe //c "$base_dir\\python.bat" "$base_dir\\$SCRIPT" "$@" |
+else |
+ PYTHONDONTWRITEBYTECODE=1 exec "$base_dir/$SCRIPT" "$@" |
+fi |